Any contribution that you make to this repository will
be published under the terms of the Apache 2 License, as dictated by that
[license](http://www.apache.org/licenses/LICENSE-2.0.html):

~~~
5. Submission of Contributions. Unless You explicitly state otherwise,
   any Contribution intentionally submitted for inclusion in the Work
   by You to the Licensor shall be under the terms and conditions of
   this License, without any additional terms or conditions.
   Notwithstanding the above, nothing herein shall supersede or modify
   the terms of any separate license agreement you may have executed
   with Licensor regarding such Contributions.
~~~

Contributors must sign-off each commit by adding a `Signed-off-by: ...`
line to commit messages to certify that they have the right to submit
the code they are contributing to the project according to the
[Developer Certificate of Origin (DCO)](https://developercertificate.org/).

# Contributing

We love pull requests from everyone.

## Create a Pull Request

1. Fork the repository: https://help.github.com/articles/fork-a-repo
2. Create a branch in your fork: https://help.github.com/articles/creating-and-deleting-branches-within-your-repository
3. Pull the branch as a pull request targeting `cyberbotics:webots_ros2@master`: https://help.github.com/articles/creating-a-pull-request-from-a-fork
4. Wait for our unit tests and review of your pull request.

## Development Guideline

* Avoid comitting files that exist elsewhere. Instead we should link to the source of these files.
* Avoid comitting files that can be re-created from other files using a Makefile, a script or a compiler.
